## qpwgraph 0.3.5

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.15)

project(qpwgraph
  VERSION 0.3.5
  DESCRIPTION "A PipeWire Graph Qt GUI Interface"
  HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
  LANGUAGES C CXX)

execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (GIT_VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^0-9]+" "" GIT_VERSION "${GIT_VERSION}")
  string (REGEX REPLACE "^1_"      "" GIT_VERSION "${GIT_VERSION}")
  string (REGEX REPLACE "^[_vV]+"  "" GIT_VERSION "${GIT_VERSION}")
  string (REGEX REPLACE "-g"   "git." GIT_VERSION "${GIT_VERSION}")
  string (REGEX REPLACE "[_|-]"   "." GIT_VERSION "${GIT_VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "main")
    set (GIT_VERSION "${GIT_VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
  set (PROJECT_VERSION "${GIT_VERSION}")
endif ()


# Enable ALSA MIDI support option.
option (CONFIG_ALSA_MIDI "Enable ALSA MIDI support (default=yes)" 1)

# Enable system-tray icon support option.
option (CONFIG_SYSTEM_TRAY "Enable system-tray icon support (default=yes)" 1)

# Enable Wayland support option.
option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=no)" 0)

# Enable Qt6 build preference.
option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)


if (CMAKE_BUILD_TYPE MATCHES "Debug")
  set (CONFIG_DEBUG 1)
  set (CONFIG_BUILD_TYPE "debug")
else ()
  set (CONFIG_DEBUG 0)
  set (CONFIG_BUILD_TYPE "release")
endif ()


include (GNUInstallDirs)

# Check for Qt...
if (CONFIG_QT6)
  find_package (Qt6 QUIET)
  if (NOT Qt6_FOUND)
    set (CONFIG_QT6 0)
  endif ()
endif ()

if (CONFIG_QT6)
  find_package (QT QUIET NAMES Qt6)
else ()
  find_package (QT QUIET NAMES Qt5)
endif ()

find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets Xml Svg)

if (CONFIG_SYSTEM_TRAY)
  find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Network)
endif ()


add_subdirectory (src)


# Configuration status
macro (SHOW_OPTION text value)
  if (${value})
    message ("${text}: yes")
  else ()
    message ("${text}: no")
  endif ()
endmacro ()

message   ("\n  ${PROJECT_NAME} ${PROJECT_VERSION} (Qt ${QT_VERSION})")
message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
show_option ("  ALSA MIDI support  . . . . . . . . . . . . . . . ." CONFIG_ALSA_MIDI)
show_option ("  System-tray icon support . . . . . . . . . . . . ." CONFIG_SYSTEM_TRAY)
message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}\n")

=== debian/changelog ===
qpwgraph (0.3.5-1) unstable; urgency=medium

  * New upstream version 0.3.5

 -- Christopher Obbard <chris.obbard@collabora.com>  Wed, 24 Aug 2022 09:52:51 +0100

qpwgraph (0.3.4-1) unstable; urgency=medium

  * New upstream version 0.3.4

 -- Christopher Obbard <chris.obbard@collabora.com>  Tue, 12 Jul 2022 08:45:25 +0100

qpwgraph (0.3.2-1) unstable; urgency=medium

  * Bump Standards-Version
  * New upstream version 0.3.2

 -- Christopher Obbard <chris.obbard@collabora.com>  Tue, 14 Jun 2022 18:29:11 +0100

qpwgraph (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1

 -- Christopher Obbard <chris.obbard@collabora.com>  Tue, 31 May 2022 21:09:09 +0100

qpwgraph (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0

 -- Christopher Obbard <chris.obbard@collabora.com>  Wed, 25 May 2022 16:54:59 +0100

qpwgraph (0.2.6-1) unstable; urgency=medium

  * New upstream version 0.2.6
  * Add libqt5svg5-dev to build-deps

 -- Christopher Obbard <chris.obbard@collabora.com>  Mon, 25 Apr 2022 15:52:45 +0100

qpwgraph (0.2.5-1) unstable; urgency=medium

  * New upstream version 0.2.5

 -- Christopher Obbard <chris.obbard@collabora.com>  Mon, 11 Apr 2022 09:04:08 +0100

qpwgraph (0.2.4-1) unstable; urgency=medium

  * Update Vcs-* fields to multimedia-team
  * New upstream version 0.2.4

 -- Christopher Obbard <chris.obbard@collabora.com>  Sun, 20 Mar 2022 10:34:13 +0000

qpwgraph (0.2.3-1) unstable; urgency=medium

  * Initial release (Closes: #1007108)

 -- Christopher Obbard <chris.obbard@collabora.com>  Fri, 11 Mar 2022 08:46:32 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCONFIG_ALSA_MIDI=1 \
		-DCONFIG_SYSTEM_TRAY=1 \
		-DCONFIG_WAYLAND=1 \
		-DCONFIG_QT6=0

## qpwgraph 0.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.3.5
+  VERSION 0.3.6
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== debian/changelog ===
qpwgraph (0.3.6-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Oct 2022 14:52:56 -0700

qpwgraph (0.3.6-1) unstable; urgency=medium

  * New upstream version 0.3.6

 -- Christopher Obbard <chris.obbard@collabora.com>  Fri, 07 Oct 2022 17:49:13 +0100

=== debian/control ===
Source: qpwgraph
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Christopher Obbard <chris.obbard@collabora.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libpipewire-0.3-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               pkg-config,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.1
Homepage: https://gitlab.freedesktop.org/rncbc/qpwgraph
Vcs-Browser: https://salsa.debian.org/multimedia-team/qpwgraph
Vcs-Git: https://salsa.debian.org/multimedia-team/qpwgraph.git
Rules-Requires-Root: no

Package: qpwgraph
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User interface for controlling the PipeWire Graph
 qpwgraph is a graph manager dedicated to PipeWire (https://pipewire.org),
 using the Qt C++ framework (https://qt.io), based and pretty much like the
 same of QjackCtl (https://qjackctl.sourceforge.io).

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,7 @@
 		-DCONFIG_SYSTEM_TRAY=1 \
 		-DCONFIG_WAYLAND=1 \
 		-DCONFIG_QT6=0
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## qpwgraph 0.3.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.3.6
+  VERSION 0.3.7
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== debian/changelog ===
qpwgraph (0.3.7-1) unstable; urgency=medium

  * New upstream version 0.3.7

 -- Christopher Obbard <chris.obbard@collabora.com>  Mon, 31 Oct 2022 13:23:51 +0000

qpwgraph (0.3.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Set upstream metadata fields: Repository.

 -- Christopher Obbard <chris.obbard@collabora.com>  Tue, 18 Oct 2022 18:28:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qpwgraph
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Christopher Obbard <chris.obbard@collabora.com>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -13,7 +12,7 @@
                pkg-config,
                qtbase5-dev,
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
 Standards-Version: 4.6.1
 Homepage: https://gitlab.freedesktop.org/rncbc/qpwgraph
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qpwgraph
@@ -22,7 +21,8 @@
 
 Package: qpwgraph
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: User interface for controlling the PipeWire Graph
  qpwgraph is a graph manager dedicated to PipeWire (https://pipewire.org),
  using the Qt C++ framework (https://qt.io), based and pretty much like the

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCONFIG_ALSA_MIDI=1 \
		-DCONFIG_SYSTEM_TRAY=1 \
		-DCONFIG_WAYLAND=1 \
		-DCONFIG_QT6=0

## qpwgraph 0.3.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.3.7
+  VERSION 0.3.9
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== debian/changelog ===
qpwgraph (0.3.9-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 0.3.9
  * Build with Qt6

 -- Christopher Obbard <chris.obbard@collabora.com>  Tue, 31 Jan 2023 09:57:42 +0000

qpwgraph (0.3.8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Add salsa-ci file (routine-update)

 -- Christopher Obbard <chris.obbard@collabora.com>  Sun, 25 Dec 2022 11:08:59 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,12 @@
                debhelper-compat (= 13),
                libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libpipewire-0.3-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
+               libqt6svg6-dev,
                pkg-config,
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools,
-Standards-Version: 4.6.1
+               qt6-base-dev,
+               qt6-tools-dev,
+               qt6-tools-dev-tools,
+Standards-Version: 4.6.2
 Homepage: https://gitlab.freedesktop.org/rncbc/qpwgraph
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qpwgraph
 Vcs-Git: https://salsa.debian.org/multimedia-team/qpwgraph.git

=== debian/watch ===
version=4
https://www.rncbc.org/archive/ \
  qpwgraph-([\d\.]+)\.tar\.gz debian uupdate

## qpwgraph 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.3.9
+  VERSION 0.5.2
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)
@@ -51,6 +51,7 @@
 else ()
   set (CONFIG_DEBUG 0)
   set (CONFIG_BUILD_TYPE "release")
+  set (CMAKE_BUILD_TYPE "Release")
 endif ()

=== debian/changelog ===
qpwgraph (0.5.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Debian/rules and control: build with the stock Qt 5.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Sep 2023 18:39:38 -0700

qpwgraph (0.5.2-1) unstable; urgency=medium

  * Remove d/salsa-ci.yml file
  * Mark binary package as 'Multi-Arch: foreign'
  * d/watch: Enable pgp signature verification
  * Add upstream PGP key
  * New upstream version 0.5.2

 -- Christopher Obbard <chris.obbard@collabora.com>  Mon, 07 Aug 2023 10:02:48 +0100

qpwgraph (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4
  * d/copyright: Bump dates

 -- Christopher Obbard <chris.obbard@collabora.com>  Wed, 05 Jul 2023 16:37:52 +0100

qpwgraph (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2

 -- Christopher Obbard <chris.obbard@collabora.com>  Sat, 20 May 2023 11:19:21 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export QT_SELECT=qt5
 
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 
@@ -14,3 +13,7 @@
 		-DCONFIG_SYSTEM_TRAY=1 \
 		-DCONFIG_WAYLAND=1 \
 		-DCONFIG_QT6=0
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## qpwgraph 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.5.2
+  VERSION 0.5.3
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== debian/changelog ===
qpwgraph (0.5.3-1~mx23+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Oct 2023 10:05:54 -0700

qpwgraph (0.5.2-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Sep 2023 18:39:38 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qpwgraph
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Christopher Obbard <chris.obbard@collabora.com>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -11,7 +12,7 @@
                pkg-config,
                qt6-base-dev,
                qt6-tools-dev,
-               qt6-tools-dev-tools,
+               qt6-tools-dev-tools
 Standards-Version: 4.6.2
 Homepage: https://gitlab.freedesktop.org/rncbc/qpwgraph
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qpwgraph
@@ -20,8 +21,8 @@
 
 Package: qpwgraph
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: User interface for controlling the PipeWire Graph
  qpwgraph is a graph manager dedicated to PipeWire (https://pipewire.org),
  using the Qt C++ framework (https://qt.io), based and pretty much like the

## qpwgraph 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.5.3
+  VERSION 0.6.0
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== debian/changelog ===
qpwgraph (0.6.0-0.1~mx21+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 19 Nov 2023 18:46:41 -0800

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
                debhelper-compat (= 13),
                libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libpipewire-0.3-dev,
-               libqt6svg6-dev,
+               libqt5svg5-dev,
+               libqt5x11extras5-dev,
                pkg-config,
-               qt6-base-dev,
-               qt6-tools-dev,
-               qt6-tools-dev-tools
+               qtbase5-dev,
+               qttools5-dev,
+               qttools5-dev-tools
 Standards-Version: 4.6.2
 Homepage: https://gitlab.freedesktop.org/rncbc/qpwgraph
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qpwgraph

## qpwgraph 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.6.0
+  VERSION 0.6.1
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== src/CMakeLists.txt ===
# project (qpwgraph)

set (CMAKE_INCLUDE_CURRENT_DIR ON)

set (CMAKE_AUTOUIC ON)
set (CMAKE_AUTOMOC ON)
set (CMAKE_AUTORCC ON)

if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
  file (REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
endif ()
configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)


set (HEADERS
  qpwgraph.h
  qpwgraph_config.h
  qpwgraph_canvas.h
  qpwgraph_command.h
  qpwgraph_connect.h
  qpwgraph_port.h
  qpwgraph_node.h
  qpwgraph_item.h
  qpwgraph_sect.h
  qpwgraph_pipewire.h
  qpwgraph_alsamidi.h
  qpwgraph_alsamidi.h
  qpwgraph_patchbay.h
  qpwgraph_systray.h
  qpwgraph_form.h
)

set (SOURCES
  qpwgraph.cpp
  qpwgraph_config.cpp
  qpwgraph_canvas.cpp
  qpwgraph_command.cpp
  qpwgraph_connect.cpp
  qpwgraph_port.cpp
  qpwgraph_node.cpp
  qpwgraph_item.cpp
  qpwgraph_sect.cpp
  qpwgraph_pipewire.cpp
  qpwgraph_alsamidi.cpp
  qpwgraph_patchbay.cpp
  qpwgraph_systray.cpp
  qpwgraph_form.cpp
)

set (FORMS
  qpwgraph_form.ui
)

set (RESOURCES
  qpwgraph.qrc
)

add_executable (${PROJECT_NAME}
  ${HEADERS}
  ${SOURCES}
  ${FORMS}
  ${RESOURCES}
)

# Add some debugger flags.
if (CONFIG_DEBUG AND UNIX AND NOT APPLE)
  set (CONFIG_DEBUG_OPTIONS -g -fsanitize=address -fno-omit-frame-pointer)
  target_compile_options (${PROJECT_NAME} PRIVATE ${CONFIG_DEBUG_OPTIONS})
  target_link_options (${PROJECT_NAME} PRIVATE ${CONFIG_DEBUG_OPTIONS})
endif ()

set_target_properties (${PROJECT_NAME} PROPERTIES C_STANDARD 99)
set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)

include(FindPkgConfig)
pkg_check_modules (PIPEWIRE REQUIRED IMPORTED_TARGET libpipewire-0.3)
if (PIPEWIRE_FOUND)
  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::PIPEWIRE)
else ()
  message (WARNING "*** PipeWire library not found.")
endif ()

if (CONFIG_ALSA_MIDI)
  pkg_check_modules (ALSA REQUIRED IMPORTED_TARGET alsa)
  if (ALSA_FOUND)
    target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::ALSA)
  endif ()
endif ()

target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)
target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Xml)
target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Svg)

if (CONFIG_SYSTEM_TRAY)
  target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Network)
endif ()

install (TARGETS ${PROJECT_NAME} RUNTIME
  DESTINATION ${CMAKE_INSTALL_BINDIR})
install (FILES images/${PROJECT_NAME}.png
  RENAME org.rncbc.${PROJECT_NAME}.png
  DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
install (FILES images/${PROJECT_NAME}.svg
  RENAME org.rncbc.${PROJECT_NAME}.svg
  DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
install (FILES appdata/org.rncbc.${PROJECT_NAME}.desktop
  DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
install (FILES appdata/org.rncbc.${PROJECT_NAME}.metainfo.xml
  DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
install (FILES mimetypes/org.rncbc.${PROJECT_NAME}.xml
  DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
install (FILES mimetypes/org.rncbc.${PROJECT_NAME}.application-x-${PROJECT_NAME}-patchbay.png
  DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/mimetypes)
install (FILES mimetypes/org.rncbc.${PROJECT_NAME}.application-x-${PROJECT_NAME}-patchbay.svg
  DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/mimetypes)

install (FILES man1/qpwgraph.1
  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== debian/changelog ===
qpwgraph (0.6.1-1build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:22:23 +0000

qpwgraph (0.6.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:07:03 +0000

qpwgraph (0.6.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:57:04 +0000

qpwgraph (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1

 -- Christopher Obbard <obbardc@debian.org>  Wed, 10 Jan 2024 17:10:06 +0000

qpwgraph (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * d/control: Update my email address
  * d/copyright: Update my email address

 -- Christopher Obbard <obbardc@debian.org>  Sat, 18 Nov 2023 11:25:13 +0000

qpwgraph (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3

 -- Christopher Obbard <chris.obbard@collabora.com>  Fri, 29 Sep 2023 18:56:49 +0100

=== debian/control ===
Source: qpwgraph
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Christopher Obbard <obbardc@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libpipewire-0.3-dev,
               libqt6svg6-dev,
               pkg-config,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools,
Standards-Version: 4.6.2
Homepage: https://gitlab.freedesktop.org/rncbc/qpwgraph
Vcs-Browser: https://salsa.debian.org/multimedia-team/qpwgraph
Vcs-Git: https://salsa.debian.org/multimedia-team/qpwgraph.git
Rules-Requires-Root: no

Package: qpwgraph
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: User interface for controlling the PipeWire Graph
 qpwgraph is a graph manager dedicated to PipeWire (https://pipewire.org),
 using the Qt C++ framework (https://qt.io), based and pretty much like the
 same of QjackCtl (https://qjackctl.sourceforge.io).

## qpwgraph 0.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.6.1
+  VERSION 0.6.2
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)
+
+set (PROJECT_COPYRIGHT "Copyright (C) 2021-2024, rncbc aka Rui Nuno Capela. All rights reserved.")
+set (PROJECT_DOMAIN    "rncbc.org")
 
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
@@ -32,6 +35,16 @@
 endif ()
 
 
+if (CMAKE_BUILD_TYPE MATCHES "Debug")
+  set (CONFIG_DEBUG 1)
+  set (CONFIG_BUILD_TYPE "debug")
+else ()
+  set (CONFIG_DEBUG 0)
+  set (CONFIG_BUILD_TYPE "release")
+  set (CMAKE_BUILD_TYPE "Release")
+endif ()
+
+
 # Enable ALSA MIDI support option.
 option (CONFIG_ALSA_MIDI "Enable ALSA MIDI support (default=yes)" 1)
 
@@ -43,16 +56,6 @@
 
 # Enable Qt6 build preference.
 option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)
-
-
-if (CMAKE_BUILD_TYPE MATCHES "Debug")
-  set (CONFIG_DEBUG 1)
-  set (CONFIG_BUILD_TYPE "debug")
-else ()
-  set (CONFIG_DEBUG 0)
-  set (CONFIG_BUILD_TYPE "release")
-  set (CMAKE_BUILD_TYPE "Release")
-endif ()
 
 
 include (GNUInstallDirs)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -70,7 +70,10 @@
 endif ()
 
 set_target_properties (${PROJECT_NAME} PROPERTIES C_STANDARD 99)
-set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)
+set_target_properties (${PROJECT_NAME} PROPERTIES
+  CXX_STANDARD 20
+  CXX_STANDARD_REQUIRED TRUE
+)
 
 include(FindPkgConfig)
 pkg_check_modules (PIPEWIRE REQUIRED IMPORTED_TARGET libpipewire-0.3)

=== debian/changelog ===
qpwgraph (0.6.2-0.1~mx23+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Feb 2024 13:48:42 -0800

qpwgraph (0.6.1-0.1~mx23+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 13 Dec 2023 20:07:02 -0800

## qpwgraph 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.6.2
+  VERSION 0.7.0
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== debian/changelog ===
qpwgraph (0.7.0-0.1~mx21+1) mx; urgency=medium

  * Import new upstream release.
  * Update d/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 23 Apr 2024 09:47:22 -0700

## qpwgraph 0.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.7.0
+  VERSION 0.7.2
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
   qpwgraph_alsamidi.h
   qpwgraph_patchbay.h
   qpwgraph_systray.h
+  qpwgraph_thumb.h
   qpwgraph_form.h
 )
 
@@ -44,6 +45,7 @@
   qpwgraph_alsamidi.cpp
   qpwgraph_patchbay.cpp
   qpwgraph_systray.cpp
+  qpwgraph_thumb.cpp
   qpwgraph_form.cpp
 )

=== debian/changelog ===
qpwgraph (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2
  * d/control: Update Build-Depends: pkg-config => pkgconf
  * d/control: Bump Standards-Version to 4.7.0

 -- Christopher Obbard <obbardc@debian.org>  Wed, 19 Jun 2024 23:55:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: qpwgraph
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Christopher Obbard <obbardc@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libpipewire-0.3-dev,
                libqt6svg6-dev,
-               pkg-config,
+               pkgconf,
                qt6-base-dev,
                qt6-tools-dev,
                qt6-tools-dev-tools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.freedesktop.org/rncbc/qpwgraph
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qpwgraph
 Vcs-Git: https://salsa.debian.org/multimedia-team/qpwgraph.git

## qpwgraph 0.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.7.2
+  VERSION 0.7.3
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== debian/changelog ===
qpwgraph (0.7.3-0.1~mx23+1) mx; urgency=medium

  * New upstream version 0.7.3
  * Revert to Qt 5

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 22 Jun 2024 15:06:50 -0700

## qpwgraph 0.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.7.3
+  VERSION 0.7.4
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)
@@ -18,8 +18,6 @@
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (GIT_VERSION "${GIT_DESCRIBE_OUTPUT}")
   string (REGEX REPLACE "^[^0-9]+" "" GIT_VERSION "${GIT_VERSION}")
-  string (REGEX REPLACE "^1_"      "" GIT_VERSION "${GIT_VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" GIT_VERSION "${GIT_VERSION}")
   string (REGEX REPLACE "-g"   "git." GIT_VERSION "${GIT_VERSION}")
   string (REGEX REPLACE "[_|-]"   "." GIT_VERSION "${GIT_VERSION}")
   execute_process (

=== debian/changelog ===
qpwgraph (0.7.4-0.1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 29 Jun 2024 23:35:23 -0700

## qpwgraph 0.7.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.7.4
+  VERSION 0.7.7
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== debian/changelog ===
qpwgraph (0.7.7-0.1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 01 Sep 2024 15:50:38 -0700

## qpwgraph 0.7.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.7.7
+  VERSION 0.7.8
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
   qpwgraph_patchbay.h
   qpwgraph_systray.h
   qpwgraph_thumb.h
-  qpwgraph_form.h
+  qpwgraph_main.h
 )
 
 set (SOURCES
@@ -46,11 +46,11 @@
   qpwgraph_patchbay.cpp
   qpwgraph_systray.cpp
   qpwgraph_thumb.cpp
-  qpwgraph_form.cpp
+  qpwgraph_main.cpp
 )
 
 set (FORMS
-  qpwgraph_form.ui
+  qpwgraph_main.ui
 )
 
 set (RESOURCES

=== debian/changelog ===
qpwgraph (0.7.8-0.1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 29 Sep 2024 16:19:13 -0700

## qpwgraph 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.7.8
+  VERSION 0.8.0
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== debian/changelog ===
qpwgraph (0.8.0-0.1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Nov 2024 11:37:10 -0800

## qpwgraph 0.8.1

=== debian/changelog ===
qpwgraph (0.8.1-1~mx21+1) mx; urgency=medium

  * New upstream release.
  * Update d/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 23 Feb 2025 13:11:50 -0800

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,9 @@
 	dh_auto_configure -- \
 		-DCONFIG_ALSA_MIDI=1 \
 		-DCONFIG_SYSTEM_TRAY=1 \
-		-DCONFIG_WAYLAND=1 \
-		-DCONFIG_QT6=0
+		-DCONFIG_WAYLAND=1
 
 # No dbgsym packages:
 override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym

## qpwgraph 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.8.0
+  VERSION 0.8.2
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)
 
-set (PROJECT_COPYRIGHT "Copyright (C) 2021-2024, rncbc aka Rui Nuno Capela. All rights reserved.")
+set (PROJECT_COPYRIGHT "Copyright (C) 2021-2025, rncbc aka Rui Nuno Capela. All rights reserved.")
 set (PROJECT_DOMAIN    "rncbc.org")
 
 execute_process (

=== debian/changelog ===
qpwgraph (0.8.2-1) unstable; urgency=medium

  * d/copyright: Update copyright years
  * d/copyright: Use correct licence for files under src/appdata/*
  * d/control: Add libqt6svg6 to depends
  * d/control: Bump Standards-Version
  * New upstream version 0.8.2

 -- Christopher Obbard <obbardc@debian.org>  Sat, 22 Mar 2025 18:59:52 +0000

qpwgraph (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1

 -- Christopher Obbard <obbardc@debian.org>  Sat, 18 Jan 2025 09:35:57 +0000

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,3 @@
 		-DCONFIG_ALSA_MIDI=1 \
 		-DCONFIG_SYSTEM_TRAY=1 \
 		-DCONFIG_WAYLAND=1
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym

## qpwgraph 0.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.8.2
+  VERSION 0.9.5
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== debian/changelog ===
qpwgraph (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
  * d/salsa-ci.yml: Enable Salsa CI

 -- Christopher Obbard <obbardc@debian.org>  Mon, 25 Aug 2025 21:18:37 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                qt6-base-dev,
                qt6-tools-dev,
                qt6-tools-dev-tools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.freedesktop.org/rncbc/qpwgraph
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qpwgraph
 Vcs-Git: https://salsa.debian.org/multimedia-team/qpwgraph.git
@@ -22,7 +22,8 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libqt6svg6
 Description: User interface for controlling the PipeWire Graph
  qpwgraph is a graph manager dedicated to PipeWire (https://pipewire.org),
  using the Qt C++ framework (https://qt.io), based and pretty much like the

=== debian/watch ===
version=4
opts=pgpmode=auto https://www.rncbc.org/archive/ \
  qpwgraph-([\d\.]+)\.tar\.gz debian uupdate

## qpwgraph 0.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.9.5
+  VERSION 0.9.6
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)
@@ -49,8 +49,6 @@
 # Enable system-tray icon support option.
 option (CONFIG_SYSTEM_TRAY "Enable system-tray icon support (default=yes)" 1)
 
-# Enable Wayland support option.
-option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=no)" 0)
 
 # Enable Qt6 build preference.
 option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)

=== debian/changelog ===
qpwgraph (0.9.6-1tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 14 Oct 2025 12:26:36 +0200

qpwgraph (0.9.5-1tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild for TUXEDO

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 22 Sep 2025 10:55:18 +0200

=== debian/control ===
Source: qpwgraph
Section: sound
Priority: optional
Maintainer: Rui Nuno Capela <rncbc@rncbc.org>
Build-Depends: debhelper (>= 11), cmake, pkg-config,
  debhelper-compat (=11),
  qt6-base-dev (>= 6.1),
  qt6-base-dev-tools (>= 6.1),
  qt6-tools-dev (>= 6.1),
  qt6-tools-dev-tools (>= 6.1),
  qt6-l10n-tools (>= 6.1)  | base-files (<< 12),
  qt6-svg-dev, 
  libxkbcommon-dev, libgl-dev,
  libasound2-dev, libpipewire-0.3-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: qpwgraph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libqt6svg6 (>= 6.1),
  qt6-qpa-plugins | base-files (<< 12)
Description: A PipeWire Graph Qt GUI Interface
  qpwgraph is a graph manager dedicated to PipeWire (https://pipewire.org),
  using the Qt C++ framework (https://qt.io), based and pretty much like the
  same of QjackCtl (https://qjackctl.sourceforge.io).

## qpwgraph 0.9.6.4git.eede64

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.9.6
+  VERSION 0.9.6.4
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,15 +20,18 @@
   qpwgraph_connect.h
   qpwgraph_port.h
   qpwgraph_node.h
+  qpwgraph_toposort.h
   qpwgraph_item.h
   qpwgraph_sect.h
   qpwgraph_pipewire.h
   qpwgraph_alsamidi.h
   qpwgraph_alsamidi.h
   qpwgraph_patchbay.h
+  qpwgraph_patchman.h
   qpwgraph_systray.h
   qpwgraph_thumb.h
   qpwgraph_main.h
+  qpwgraph_options.h
 )
 
 set (SOURCES
@@ -39,18 +42,22 @@
   qpwgraph_connect.cpp
   qpwgraph_port.cpp
   qpwgraph_node.cpp
+  qpwgraph_toposort.cpp
   qpwgraph_item.cpp
   qpwgraph_sect.cpp
   qpwgraph_pipewire.cpp
   qpwgraph_alsamidi.cpp
   qpwgraph_patchbay.cpp
+  qpwgraph_patchman.cpp
   qpwgraph_systray.cpp
   qpwgraph_thumb.cpp
   qpwgraph_main.cpp
+  qpwgraph_options.cpp
 )
 
 set (FORMS
   qpwgraph_main.ui
+  qpwgraph_options.ui
 )
 
 set (RESOURCES

## qpwgraph 0.9.6.9git.ad4c48

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.9.6.4
+  VERSION 0.9.6.9
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

## qpwgraph 0.9.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.9.6.9
+  VERSION 0.9.7
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== debian/changelog ===
qpwgraph (0.9.7-1) unstable; urgency=medium

  * New upstream version 0.9.7

 -- Christopher Obbard <obbardc@debian.org>  Sun, 14 Dec 2025 10:50:13 +0000

## qpwgraph 0.9.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.9.7
+  VERSION 0.9.8
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)

=== debian/changelog ===
qpwgraph (0.9.8-2~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux
  * d/control: Restore Priority field

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 11 Feb 2026 15:08:44 -0800

qpwgraph (0.9.8-2) unstable; urgency=medium

  * d/control: Remove Priority field
  * d/control: Remove invalid arches kfreebsd-amd64 & kfreebsd-i386

 -- Christopher Obbard <obbardc@debian.org>  Mon, 05 Jan 2026 00:09:46 +0000

qpwgraph (0.9.8-1) unstable; urgency=medium

  * d/u/signing-key.asc: Refresh upstream signing key
  * New upstream version 0.9.8
  * d/control: Bump Standards-Version to 4.7.3

 -- Christopher Obbard <obbardc@debian.org>  Wed, 31 Dec 2025 00:30:09 +0000

=== debian/control ===
Source: qpwgraph
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
# XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Christopher Obbard <obbardc@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libasound2-dev [!hurd-i386],
               libpipewire-0.3-dev,
               libqt6svg6-dev,
               pkgconf,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.7.3
Homepage: https://gitlab.freedesktop.org/rncbc/qpwgraph
Vcs-Browser: https://salsa.debian.org/multimedia-team/qpwgraph
Vcs-Git: https://salsa.debian.org/multimedia-team/qpwgraph.git
Rules-Requires-Root: no

Package: qpwgraph
Architecture: any
Multi-Arch: foreign
Depends: libqt6svg6, ${misc:Depends}, ${shlibs:Depends}
Description: User interface for controlling the PipeWire Graph
 qpwgraph is a graph manager dedicated to PipeWire (https://pipewire.org),
 using the Qt C++ framework (https://qt.io), based and pretty much like the
 same of QjackCtl (https://qjackctl.sourceforge.io).

## qpwgraph 0.9.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required (VERSION 3.15)
 
 project(qpwgraph
-  VERSION 0.9.8
+  VERSION 0.9.9
   DESCRIPTION "A PipeWire Graph Qt GUI Interface"
   HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
   LANGUAGES C CXX)
 
-set (PROJECT_COPYRIGHT "Copyright (C) 2021-2025, rncbc aka Rui Nuno Capela. All rights reserved.")
+set (PROJECT_COPYRIGHT "Copyright (C) 2021-2026, rncbc aka Rui Nuno Capela. All rights reserved.")
 set (PROJECT_DOMAIN    "rncbc.org")
 
 execute_process (

=== debian/changelog ===
qpwgraph (0.9.9-1) unstable; urgency=medium

  * New upstream version 0.9.9

 -- Christopher Obbard <obbardc@debian.org>  Mon, 02 Mar 2026 00:56:07 +0000
